package com.hxhq.business.form.gyzj;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;

import java.util.Date;

/**
 * @author 15881
 */
public class BjForm {

    /** 给药制剂id */
    private Long id;

    /** 名称编辑 */
    @Compare(name = "名称",nameEn = "Name")
    private String mc;

    /** 浓度编辑 */
    @Compare(name = "浓度",nameEn = "Concentration")
    private String nd;

    /** 浓度单位编辑 */
    @Compare(name = "浓度单位",nameEn = "todo浓度单位")
    private String nddw;

    /** 库存编辑 */
    @Compare(name = "库存",nameEn = "Inventory")
    private String kc;

    /** 库存单位编辑 */
    @Compare(name = "库存单位",nameEn = "todo库存单位")
    private String kcdw;

    /** 失效日期编辑 */
    @Compare(name = "失效日期",nameEn = "todo失效日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxrq;

    /** 存储条件编辑 */
    @Compare(name = "存储条件",nameEn = "todo库存单位")
    private String cctj;

    /** 存储位置编辑 */
    @Compare(name = "存储位置",nameEn = "Storage Location")
    private String ccwz;

    /** 编辑备注 */
    private String bjbz;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    private String qmrmm;

    /** 项目id */
    private Long xmId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public Date getSxrq() {
        return sxrq;
    }

    public void setSxrq(Date sxrq) {
        this.sxrq = sxrq;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getCcwz() {
        return ccwz;
    }

    public void setCcwz(String ccwz) {
        this.ccwz = ccwz;
    }

    public String getBjbz() {
        return bjbz;
    }

    public void setBjbz(String bjbz) {
        this.bjbz = bjbz;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public Long getXmId() {
        return xmId;
    }

    public void setXmId(Long xmId) {
        this.xmId = xmId;
    }
}
